Subject: Re: bug#70195: 30.0.50; vc-test-bzr02-state fails

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 18:53:37 -0800

Michael Albinus <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Cc: [email-masked]
>>> Date: Thu, 04 Apr 2024 16:56:03 +0300
>>> From: Eli Zaretskii <[email-masked]>
>>>
>>> > Date: Thu, 04 Apr 2024 15:33:30 +0200
>>> > From:  Michael Albinus via "Bug reports for GNU Emacs,
>>> >  the Swiss army knife of text editors" <[email-masked]>
>>> >
>>> >
>>> > --8<---------------cut here---------------start------------->8---
>>> > # make -C test vc-tests
>>> > ...
>>> > vc-state2 nil
>>> > Error: (error "Failed (status 3): /usr/bin/bzr status --no-classify foo")
>>> > Warnings in `bzr' output: failed to open trace file: [Errno 13] Permission denied: '/nonexistent/.cache/breezy/brz.log'
>>> > brz: ERROR: [Errno 13] Permission denied: '/nonexistent/.config'
>>>
>>> That's not Bazaar, that's Breezy.
>>>
>>> Does someone know why Breezy errors out when home directory doesn't
>>> exist?  Should we report this to Breezy's developers?
>>
>> Btw, with this version of Breezy:
>>
>>   bzr --version
>>   Breezy (brz) 3.2.1
>>     Python interpreter: /usr/bin/python3 3.10.12
>>     Python standard library: /usr/lib/python3.10
>>     Platform: Linux-5.15.0-101-generic-x86_64-with-glibc2.35
>>
>> I get only warnings about "nonexistent", but the bzr tests all pass.
>
> I'm running "Fedora Linux 39 (Workstation Edition)":
>
> # bzr --version
> Breezy (brz) 3.3.3
>   Python interpreter: /usr/bin/python3 3.12.2
>   Python standard library: /usr/lib64/python3.12
>   Platform: Linux-6.7.11-200.fc39.x86_64-x86_64-with-glibc2.38
>   breezy: /usr/lib64/python3.12/site-packages/breezy
>   Breezy configuration: /home/albinus/.config/breezy
>   Breezy log file: /home/albinus/.cache/breezy/brz.log
>
> Best regards, Michael.

Are you still seeing these test failures?  I'm asking because maybe a
newer version of Breezy is all that is needed, and maybe you upgraded
Fedora meanwhile.